# EventHttpRequest::findHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::findHeader — Finds the value belonging a header

### Descripción

public EventHttpRequest::findHeader( string `$key` , string `$type` ): void

Finds the value belonging a header.

### Parámetros

`key`

  The header name.

`type`

  One of `EventHttpRequest::*_HEADER` constants .

### Valores devueltos

Returns `null` if header not found.

### Ver también

- EventHttpRequest::addHeader() - Adds an HTTP header to the headers of the request